Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

It should be on Android 4.4+

Ooooo. So I cant play it on my phone. My HTC Sprint phone is on 2.3. My other phones are samsung. Good thing I got it before it was $1 otherwise I would have waisted one whole dollar.

lol xD ..

Too bad bro, try it on someone else's phone. (Also, I'm earning for my class projects that's why it's $1 lol)

The only problem is that my entire family has samsung devices